# class ExpWrapper | Object wrapper for evaluation. More...
Full name | `TelEngine::ExpWrapper`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::ExpOperation [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ExpWrapper (GenObject* object, const char* name = 0, bool barrier = false)
- inline ExpWrapper (ExpEvaluator::Opcode opcode, GenObject* object)
- virtual ~ExpWrapper ()
- virtual void* getObject (const String& name) const
- virtual bool valBoolean () const
- virtual const char* typeOf () const
- virtual ExpOperation* clone (const char* name) const
- virtual ExpOperation* copy (Mutex* mtx) const
- GenObject* object () const

## Detailed Description

Helper class that allows wrapping entire objects in an operation

inline ExpWrapper (GenObject* object, const char* name = 0, bool barrier = false) | ### ExpWrapper

Constructor

Parameters:

object | Pointer to the object to wrap
name | Optional name of the wrapper
barrier | True if the operation is an expression barrier on the stack

inline ExpWrapper (ExpEvaluator::Opcode opcode, GenObject* object) | ### ExpWrapper

Constructor with special operation

Parameters:

opcode | Operation code of the wrapper
object | Pointer to the object to wrap

~ExpWrapper () | ### ~ExpWrapper

[virtual]

Destructor, deletes the held object

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a derived class given that class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from NamedString.

bool valBoolean () | ### valBoolean

[const virtual]

Retrieve the boolean value of the operation

Returns: True if the wrapped object is to be interpreted as true value

Reimplemented from ExpOperation.

const char* typeOf () | ### typeOf

[const virtual]

Retrieve the name of the type of the value of this operation

Returns: Name of the type of the value

Reimplemented from ExpOperation.

ExpOperation* clone (const char* name) | ### clone

[const virtual]

Clone and rename method

Parameters:

name | Name of the cloned operation

Returns: New operation instance

Reimplemented from ExpOperation.

ExpOperation* copy (Mutex* mtx) | ### copy

[const virtual]

Deep copy method

Parameters:

mtx | Pointer to the mutex that serializes the copied object

Returns: New operation instance

Reimplemented from ExpOperation.

GenObject* object () | ### object

[const]

Object access method

Returns: Pointer to the held object

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.